[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Dialogs' (#lcl)

# TFindDialog.Find

Signals the OnFind event handler when the Find button is clicked on the dialog form.

## Declaration

Source position: dialogs.pp line 503

`protected procedure TFindDialog.Find; virtual;`

## Description

Find is called from the FindClick method, and occurs when the dialog is executed. An application must assign a TNotifyEvent routine to OnFind to perform the actions needed for the dialog. No actions are performed in the method if an event handler routine has not been assigned to OnFind.

## See also

TFindDialog.Execute |  | Displays the dialog form and responds to button clicks.
TFindDialog.FindClick |  | Implements the OnClick event handler for the Find button on the dialog.
TFindDialog.OnFind |  | Event handler signalled when the Find button is clicked on the dialog form.
TNotifyEvent